Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IAssociatedEvent

All Known Implementing Classes:
  AssociatedEventImpl

public interface IAssociatedEvent

Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The AssociatedEvent type allows for associated events to be grouped. It allows for identifying associated events and its associationEngine. The associationEngine MAY be the reference to the application that created the association.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite

Method Summary
`void` | `addResolvedEvent(java.lang.String globalInstanceId)` Adds a Common Base Event reference to the array of resolved events.
`void` | `clearResolvedEvents()` Removes all Common Base Event references in the array of resolved events.
`java.lang.String` | `getAssociationEngine()` Returns the associationEngine.
`IAssociationEngine` | `getAssociationEngineInfo()` Returns the associationEngineInfo.
`java.lang.String` | `getResolvedEvents()` Returned a space delimited string of Common Base Event references of resolved events.
`java.lang.String[]` | `getResolvedEventsAsArray()` Returned an array of Common Base Event references of resolved events.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `removeResolvedEvent(java.lang.String globalInstanceId)` Removes a named Common Base Event reference in the array of resolved events.
`void` | `setAssociationEngine(java.lang.String associationEngine)` Sets the assocationEngine.
`void` | `setAssociationEngineInfo(IAssociationEngine associationEngineInfo)` Sets the associationEngineInfo.
`void` | `setAssociationEngineInfo(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId)` Sets the associationEngineInfo.
`void` | `setResolvedEvents(java.lang.String value)` Sets a space delimited list of Common Base Event references to the array of resolved events.
`void` | `setResolvedEventsAsArray(java.lang.String[] value)` Sets an array of Common Base Event references to the array of resolved events.

Method Detail

### addResolvedEvent

    public void addResolvedEvent(java.lang.String globalInstanceId)

  Adds a Common Base Event reference to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Parameters:
    `globalInstanceId` - The new Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`

### setResolvedEvents

    public void setResolvedEvents(java.lang.String value)

  Sets a space delimited list of Common Base Event references to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Parameters:
    `value` - The new space delimited list of Common Base Event references.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent`

### setResolvedEventsAsArray

    public void setResolvedEventsAsArray(java.lang.String[] value)

  Sets an array of Common Base Event references to the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Parameters:
    `value` - The new array of Common Base Event references.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent`

### getResolvedEvents

    public java.lang.String getResolvedEvents()

  Returned a space delimited string of Common Base Event references of resolved events. Space delimited string of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Returns:
    Space delimited string of Common Base Event references of resolved events.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent`

### getResolvedEventsAsArray

    public java.lang.String[] getResolvedEventsAsArray()

  Returned an array of Common Base Event references of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Returns:
    String array of Common Base Event references of resolved events.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`

### clearResolvedEvents

    public void clearResolvedEvents()

  Removes all Common Base Event references in the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Since:
    1.0
  See Also:
    `ICommonBaseEvent`

### removeResolvedEvent

    public void removeResolvedEvent(java.lang.String globalInstanceId)

  Removes a named Common Base Event reference in the array of resolved events. Array of Common Base Event globalInstanceIds corresponding to the event(s) that are associated with this event. This is a REQUIRED property.

  Parameters:
    `globalInstanceId` - The removed Common Base Event globalInstanceId.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent`

### setAssociationEngine

    public void setAssociationEngine(java.lang.String associationEngine)

  Sets the assocationEngine. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Since:
    1.0
  See Also:
    `IAssocationEngine`

### getAssociationEngine

    public java.lang.String getAssociationEngine()

  Returns the associationEngine. Reference to the AssocationEngine that created this AssociatedEvent. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Returns:
    String The returned associationEngine.
  Since:
    1.0
  See Also:
    `IAssocationEngine`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(IAssociationEngine associationEngineInfo)

  Sets the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Since:
    1.0
  See Also:
    `IAssocationEngine`

### setAssociationEngineInfo

    public void setAssociationEngineInfo(java.lang.String associationEngineName,
                                         java.lang.String associationEngineType,
                                         java.lang.String associationEngineId)

  Sets the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Since:
    1.0.1
  See Also:
    `IAssocationEngine`

### getAssociationEngineInfo

    public IAssociationEngine getAssociationEngineInfo()

  Returns the associationEngineInfo. Identifies the application that establishes association among related or associated events. In addition, it provides properties to describe the type of the association. The associationEngine and associationEnginInfo properties are mutually exclusive. One of these properties MUST be defined.

  Returns:
    IAssociationEngine The returned associationEngineInfo.
  Since:
    1.0
  See Also:
    `IAssocationEngine`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state.

  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD